Renderd7-nightly v0.7.0

Public Member Functions | List of all members
std::less<::nlohmann::detail::value_t > Struct Reference

`#include <json.hpp>`

## Public Member Functions
bool | operator() (nlohmann::detail::value_t lhs, nlohmann::detail::value_t rhs) const noexcept
| compare two value_t enum values More...

## Detailed Description

specialization for std::less<value_t>

Note
  : do not remove the space after '<', see https://github.com/nlohmann/json/pull/679

## Member Function Documentation

## ◆ operator()()

bool std::less<::nlohmann::detail::value_t >::operator() | ( | nlohmann::detail::value_t | lhs,
|  | nlohmann::detail::value_t | rhs
| ) |  | const
| inline noexcept

compare two value_t enum values

Since
  version 3.0.0